%define rel 1
%define subrel 1

Name:       printer-applet
Summary:    KDE System tray icon for managing print jobs
Version:    4.8.5
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://www.kde.org/applications/system/printerapplet/
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%name-%{version}.tar.xz

BuildArch: noarch
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: python-kde4
BuildRequires: system-config-printer
BuildRequires: python-cups
BuildRequires: python-devel

Requires: python-kde4 >= 1:4.1.0
Requires: python-cups
Requires: python-qt4
Requires: python-dbus
Requires: system-config-printer

%description
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors and shows when printers that have
been plugged in for the first time are being auto-configured by
hal-cups-utils.

%files
%doc COPYING README
%docdir %_kde_docdir 
%_kde_bindir/printer-applet
%_kde_appsdir/printer-applet/
%_kde_datadir/autostart/printer-applet.desktop
%_kde_docdir/HTML/en/printer-applet/

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Mon Aug 06 2012 mikala <mikala> 4.8.5-1.1.mga2
+ Revision: 279153
- Update tarball to KDE SC 4.8.5
- Update tarball to 4.8.4

  + fwang <fwang>
    - new version 4.8.2

* Tue Mar 20 2012 luigiwalser <luigiwalser> 4.8.1-1.mga2
+ Revision: 225010
- 4.8.1

* Tue Jan 24 2012 fwang <fwang> 4.8.0-1.mga2
+ Revision: 200593
- should be a noarch package

  + mikala <mikala>
    - Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191058
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186450
- Update tarball to KDE 4.7.95
- imported package printer-applet

